<?php
/*
Plugin Name: Templatic Mega Menu
Plugin URI: //www.templatic.com
Tags: jquery, dropdown, menu, animated, css, navigation, mega menu
Description: Creates a widget, which allows you to turn any Wordpress custom menu into a drop down mega menu.
Author: Templatic
Version: 1.0.3
Author URI: //www.templatic.com
*/

/* Plugin version */
define( 'MEGAMENU_VERSION','1.0.2' );
/* Plugin Folder URL */
define( 'MEGA_MENU_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
/* Plugin Folder Path */
define( 'MEGA_MENU_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
/* Plugin Root File */
define( 'MEGA_MENU_PLUGIN_FILE', __FILE__ );
/* Define plugin domain */
load_textdomain( 'megamenu', plugin_dir_path( __FILE__ ) . 'languages/en_US.mo' );
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
/* Attach script and style in head */
add_action( 'wp_enqueue_scripts', 'attach_mega_menu_script_styles',1 ); /* Mega menu styles and scripts */
add_action( 'show_secondary_navigation_right','fetch_secondary_navigation_right' ); /* Call widget area on mega menu */
add_action( 'widgets_init','tmpl_mega_register_sidebar',1 ); /* Call function on widgets page initialization */
/*
*@Function: attach_mega_menu_script_styles
*@Filter: wp_head
*@Return: Call plugin styles and scripts
*/
if ( ! function_exists( 'attach_mega_menu_script_styles' ) ) {
	function attach_mega_menu_script_styles() {
		wp_enqueue_style( 'megamenu' ,MEGA_MENU_PLUGIN_URL . 'includes/megamenu_style.css' );
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'jquerymegamenu', MEGA_MENU_PLUGIN_URL . 'includes/jquery.megamenu.1.2-mini.js' );
	}
}
/* Include mega menu file */
if ( file_exists( MEGA_MENU_PLUGIN_DIR . 'includes/templatic_mega_menu_widget.php' ) ) {
	include_once( MEGA_MENU_PLUGIN_DIR . 'includes/templatic_mega_menu_widget.php' );
}
/*
*@Function: fetch_secondary_navigation_right
*@Filter: show_secondary_navigation_right
*@Return: Display widget besides mega menu
*/
if ( ! function_exists( 'fetch_secondary_navigation_right' ) ) {
	function fetch_secondary_navigation_right() {
		if ( function_exists( 'dynamic_sidebar' ) ) {
			dynamic_sidebar( 'secondary_navigation_right' );
		}
	}
}
/*
*@Function: tmpl_mega_register_sidebar
*@Filter: widgets_init
*@Return: Creates sidebar area for mega menu navigation if its not there
*/
if ( ! function_exists( 'tmpl_mega_register_sidebar' ) ) { /* Check if function is not created already */
	function tmpl_mega_register_sidebar() {
		register_widget( 'dc_jqmegamenu_widget' );
		/* mega menu plugin sidebar */
		global $plugin_sidebars;/* Comes from directory theme */
		if ( ! empty( $plugin_sidebars ) ) { /* Check if not empty global variable */
			foreach ( $plugin_sidebars as $key => $values ) { /* loop for global plugin variable */
				if ( 'mega_menu' != @$key ) { /* Check if mega menu sidebar already created of not. */
					$plugin_sidebars = array(
					'mega_menu' => array(
															'name' => __( 'Mega Menu Navigation', 'megamenu' ),
															'description' => __( 'Load only jquery mega menu in Secondary Navigation menu.', 'megamenu' ),
														),
										);
				}
			}
		} else { /* If global plugin variable is empty then add array for mega menu sidebar */
			$plugin_sidebars = array(
			'mega_menu' => array(
													'name' => __( 'Mega Menu Navigation', 'megamenu' ),
													'description' => __( 'Load only jquery mega menu in Secondary Navigation menu.', 'megamenu' ),
												),
								);
		}
	}
}

